Subject: [bug#54335] [PATCH 14/14] gnu: Add nebula.

From: Maxime Devos <[email-masked]>
Date: Sat, 12 Mar 2022 23:33:28 +0100

Dominic Martinez schreef op vr 11-03-2022 om 16:02 [-0500]:
> Maxime Devos <[email-masked]> writes:
> 
> > > +  ;; NOTE: does not include nebula-service, which is 
> > > incompatible with
> > > +  ;; Shepherd.
> > 
> > What does this mean?  Do you mean there's no corresponding 
> > Shepherd
> > service?  If so, perhaps people can still run the 
> > 'nebula-service'
> > binary directly?
> 
> Sorry, that was confusing. The nebula-service tool is used for 
> setting up auto-start on multiple platforms. It's mainly useful on 
> Windows and Mac as it's more difficult to create services on those 
> platforms. I didn't think it was especially useful to include as 
> on Linux it just creates a simple systemd service, and naturally 
> can't create a shepherd service

Ok that does indeed sound like something that is unlikely to work in
Guix, though keep in mind that Guix can be used on top of other
distros, possibly distros using SystemD (e.g. this mail is composed on
Debian+Guix), so it might be useful after all, though I don't consider
it in any way essential.

Greetings,
Maxime.